openshot::ChunkLocation Struct Reference

This struct holds the location of a frame within a chunk. More...

`#include <ChunkReader.h>`

## Public Attributes

int64_t | frame
| The frame number. More...
int64_t | number
| The chunk number. More...

## Detailed Description

This struct holds the location of a frame within a chunk.

Chunks are small video files, which typically contain a few seconds of video each. Locating a frame among these small video files is accomplished by using this struct.

Definition at line 58 of file ChunkReader.h.

## Member Data Documentation

## frame

int64_t openshot::ChunkLocation::frame

The frame number.

Definition at line 61 of file ChunkReader.h.

Referenced by openshot::ChunkReader::ChunkReader(), and openshot::ChunkReader::GetFrame().

## number

int64_t openshot::ChunkLocation::number

The chunk number.

Definition at line 60 of file ChunkReader.h.

Referenced by openshot::ChunkReader::ChunkReader(), and openshot::ChunkReader::GetFrame().

The documentation for this struct was generated from the following file:

- ChunkReader.h